%perl_module Mail-DKIM 0.37 2

Summary: Signs/verifies Internet mail with DKIM/DomainKey signatures
Group: Development/Libraries
License: Artistic
URL: http://search.cpan.org/dist/%{pkgname}/
Source: http://search.cpan.org/CPAN/authors/id/J/JA/JASLONG/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl(Crypt::OpenSSL::RSA)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(Error)
BuildRequires: perl(Mail::Address)
BuildRequires: perl(Net::DNS)

%description
This module implements the various components of the DKIM and DomainKeys
message-signing and verifying standards for Internet mail. It currently
tries to implement these Internet Drafts:

 * draft-ietf-dkim-base-10
 * draft-delany-domainkeys-base

%prep
%setup -q -n %{pkgname}-%{version}

%build
%perl_configure
make
#perl_makecheck TEST_VERBOSE=1

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes ChangeLog
%{perl_vendorlib}/Mail/DKIM.pm
%{perl_vendorlib}/Mail/DKIM
%{perl_man3dir}/Mail::DKIM.3pm*
%{perl_man3dir}/Mail::DKIM::*.3pm*

%changelog
* Tue Dec 29 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.37.

* Mon May  7 2007 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
